Packages - Freedom Issue #969

Freedom Issue # 972 (forwarded upstream): TeXLive freedom verification
[texlive-core] ec fonts needs repackaging instead of removing
2016-03-22 09:22 PM - xrchz

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

See https://lists.parabola.nu/pipermail/assist/2016-March/000607.html and the thread preceding.

Related issues:

Related to Packages - Freedom Issue #2698: Re-evaluate [texlive-core] in progress
Related to Packages - Bug #490: [texlive-core] ec fonts are nonfree not-a-bug
History

#1 - 2016-03-23 09:04 PM - Anonymous

- Status changed from open to in progress

#2 - 2016-03-24 03:07 AM - Anonymous

- Subject changed from texlive-core ec fonts should not be removed to [texlive-core] ec fonts should not be removed

The issue here is that ec.doc.tar.xz (that contains license files) is not included inside texlive-core tarball redistributed by Arch guys. doc files are
required in its license 0 because says: "Redistribution of unchanged files is allowed provided that all files listed in the file 00files.txt are distributed,
including this file."

#3 - 2016-03-24 07:26 AM - Anonymous

Another texlive-core issues are related on the same problem, tarball redistributed by Arch doesn't contains source and doc (that contains license too)
tarballs that are available from http:/mirror.ctan.org/systems/texlive/tinet/archive/

#4 - 2016-03-24 07:55 AM - Anonymous

coadde opened a report about it to Arch

#5 - 2016-03-24 08:07 AM - Anonymous
- Assignee changed from Anonymous to Anonymous
- Status changed from in progress to open

- Subject changed from [texlive-core] ec fonts should not be removed to [texlive-core] ec fonts needs repackaging instead of removing

I'm relegating this task to coadde...

#6 - 2016-03-24 08:51 AM - Anonymous

- Related to Freedom Issue #972: TeXLive freedom verification added

#7 - 2016-11-18 10:10 PM - arder

| have same issue when try to compile sphinx, some progress?

#8 - 2019-02-27 10:14 PM - bill-auger

- Status changed from open to forwarded upstream

#9 - 2020-04-14 05:40 PM - theova

- Related to Freedom Issue #2698: Re-evaluate [texlive-core] added

#10 - 2020-07-10 06:27 AM - bill-auger

- Related to deleted (Freedom Issue #972: TeXLive freedom verification)
https://lists.parabola.nu/pipermail/assist/2016-March/000607.html
http://dante.ctan.org/tex-archive/fonts/ec/src/copyrite.txt
https://wiki.parabola.nu/TeXLive_freedom_verification
http://mirror.ctan.org/systems/texlive/tlnet/archive/
https://bugs.archlinux.org/task/48683

#11 - 2020-07-10 06:28 AM - bill-auger
- Parent task set to #972

#12 - 2020-07-20 02:19 AM - nona

| already sent an e-mail to Gerd Neugebauer (gerd [lives at] informatik dot uni-koblenz dot de) to see if he wants to add a free license to PL.

#13 - 2020-07-21 09:10 AM - bill-auger

- Related to Bug #490: [texlive-core] ec fonts are nonfree added

#14 - 2020-07-22 01:50 AM - nona

- Status changed from forwarded upstream to duplicate

| am marking this as duplicate of #490, because that was reported earlier; the issue seems to be the same (license), there is no substantial loss of
information between the two bug reports, and to keep it manageable. Thanks for reporting!
